import 'dart:typed_data';

void main(List<String> arguments) {
  //1. Finger = 1 ➞ “большой палец”
  int finger = 1;

  if (finger == 1) {
    print('большой палец');
  } else {
    print('указательный палец');
  }

  //2. В переменной min лежит число от 0 до 59. Определите в какую четверть часа попадает это число (в первую, вторую, третью или четвертую).

  int min = 50;

  if (min <= 14) {
    print('first part');
  } else if (min >= 14 && min <= 29) {
    print('second part');
  } else if (min >= 29 && min <= 44) {
    print('third part');
  } else if (min >= 44 && min <= 59) {
    print('fourth part');
  }

  //3.Переменная lang может принимать 2 значения: ru; en;. Если она имеет значение ru, то в переменную arr
  //запишем массив дней недели на русском языке, а если имеет значение en; – то на английском.

  String lang = 'ru';

  if (lang == 'ru') {
    print('пон, втр, ср, чтв, птн');
  } else if (lang == 'en') {
    print('mnd, tsd, wdn, thr, frd');
  }

  //4. Дана строка, состоящая из символов, например, 'abcde'. Проверьте, что первым символом этой строки является буква 'a'. Если это так - выведите 'да', в противном случае выведите 'нет'.

  var map = 'abcde';

  if (map.startsWith('a')) {
    print('да');
  } else {
    print('нет');
  }

  //5. Переменная num может принимать одно из значений: 1, 2, 3 или 4. Если она имеет значение '1', то в переменную result запишем 'зима', если имеет значение '2' – 'лето' и так далее.

  var num = 1;

  if (num == 1) {
    print('зима');
  } else if (num == 2) {
    print('весна');
  } else if (num == 3) {
    print('лето');
  } else if (num == 4) {
    print('осень');
  }

  //6. Если переменная a меньше нуля, то выведите 'Верно', иначе выведите 'Неверно'. Проверьте работу скрипта при a, равном 1, 0, -3.
  int a = -3;

  if (a < 0) {
    print('Verno');
  } else {
    print('Neverno');
  }

  //7.Дана строка из 6-ти цифр. Проверьте, что сумма первых трех цифр равняется сумме вторых трех цифр. Если это так - выведите 'да', в противном случае выведите 'нет'.

  String q = '123123';
  List qwe = q.split('');
  print(qwe);

  var tip1 = qwe[0] + qwe[1] + qwe[2];
  var tip2 = qwe[3] + qwe[4] + qwe[5];

  if (tip1 == tip2) {
    print('да');
  } else {
    print('нет');
  }
}
